[@rxap/form-system](../wiki/globals) / ApplyUseFunctionAdapters

# Function: ApplyUseFunctionAdapters()

> **ApplyUseFunctionAdapters**\<`Args`, `Result`\>(`injector`, `fnc`, `config`?): [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`any`[], `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/apply-use-function.adapters.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/apply-use-function.adapters.ts#L14)

## Type Parameters

• **Args** *extends* `any`[]

• **Result**

## Parameters

### injector

`Injector`

### fnc

[`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`any`[], `any`\>

### config?

[`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`any`, `any`[], `any`, `any`[]\>

## Returns

[`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`any`[], `any`\>
